using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace NKC_WF.site
{
    public partial class MachineLoadSmart : BasePage
    {
        #region Public Properties

        /// <summary>
        /// Batch corrente...
        /// </summary>
        public int BatchId
        {
            set
            {
                hfBatchID.Value = value.ToString();
            }
            get
            {
                int answ = 0;
                int.TryParse(hfBatchID.Value, out answ);
                return answ;
            }
        }

        #endregion Public Properties

        #region Private Methods

        private void Cmp_stackLoading_eh_doRefresh(object sender, EventArgs e)
        {
            BatchId = cmp_stackLoading.BatchIdCurr;
        }

        private void forceRefresh()
        {
            cmp_stackLoading.doUpdate();
            BatchId = cmp_stackLoading.BatchIdCurr;
        }

        #endregion Private Methods

        #region Protected Methods

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                ((SiteMaster)this.Master).showSearch = false;
                forceRefresh();
            }
            cmp_stackLoading.eh_doRefresh += Cmp_stackLoading_eh_doRefresh;
        }

        #endregion Protected Methods
    }
}